Storage
Get location
Section titled “Get location”GET /api/storage/location/{id}
Request
Path parameters
idID of location
Response
The location entity with the following additional properties:
{ "checkin": number, // total number of check-ins "checkout": number, // total number of check-outs "available": number // current available space (capacity minus checked-in items)}Get locations
Section titled “Get locations”GET /api/storage/location
Request
Query parameters
OData query parameters are used, as documented here.
Response
A list of locations with the same properties as the single-location endpoint.
Create locations
Section titled “Create locations”POST /api/storage/location
Request
Body
A JSON array of location objects to create.
Response
The created locations.
Get parent locations
Section titled “Get parent locations”GET /api/storage/location/{id}/parents
Get all parent locations in the storage hierarchy for a given location.
Request
Path parameters
idID of location
Response
A list of parent location objects ordered from root to direct parent.
Get child locations
Section titled “Get child locations”GET /api/storage/location/{id}/children
Get all child locations in the storage hierarchy for a given location.
Request
Path parameters
idID of location
Response
A list of child location objects.
Get location log
Section titled “Get location log”GET /api/storage/location/{id}/log
Get the check-in/check-out event log for a storage location.
Request
Path parameters
idID of location
Response
A list of log entries.
Check in
Section titled “Check in”POST /api/storage/location/{id}/checkin
Check one or more items into a storage location.
Request
Path parameters
idID of location to check in to
Body
[{ "eClass": string, // typically Sample or Plate "id": string // ID of the entity to check in}]Response
The updated location.
Example 1
Check in two samples to location LOC001:
POST /api/storage/location/LOC001/checkin
[ { "eClass": "Sample", "id": "S001" }, { "eClass": "Sample", "id": "S002" }]Check out
Section titled “Check out”POST /api/storage/location/checkout
Check one or more items out of their current storage location.
Request
Body
[{ "eClass": string, // typically Sample or Plate "id": string // ID of the entity to check out}]Response
The updated location.